---
title: '`glab issue`'
stage: AI Coding
group: Code Review
info: To determine the technical writer assigned to the Stage/Group associated with this page, see <https://handbook.gitlab.com/handbook/product/ux/technical-writing/#assignments>
---

<!--
This documentation is auto generated by a script.
Please do not edit this file directly. Run `make gen-docs` instead.
-->

Work with GitLab issues.

## Synopsis

Open issues, list and view them, and manage their lifecycle: assign,
label, comment, close, reopen, and more. Work with issue boards under
`issue board`.

Use `--repo` to target a project other than the current one.

## Examples

```console
glab issue list
glab issue create --label --confidential
glab issue view --web 123
glab issue note -m "closing because !123 was merged" <issue number>
```

## Options

```plaintext
  -R, --repo string   Select another repository. You can use either OWNER/REPO or GROUP/NAMESPACE/REPO. The full URL or Git URL is also accepted.
```

## Options inherited from parent commands

```plaintext
  -h, --help   Show help for this command.
```

## Subcommands

- [`board`](board/_index.md)
- [`close`](close.md)
- [`create`](create.md)
- [`delete`](delete.md)
- [`list`](list.md)
- [`note`](note.md)
- [`reopen`](reopen.md)
- [`subscribe`](subscribe.md)
- [`unsubscribe`](unsubscribe.md)
- [`update`](update.md)
- [`view`](view.md)
